KEYCLOAK_USERNAME=admin
KEYCLOAK_PASSWORD=admin
KEYCLOAK_REALM=master
KEYCLOAK_CLIENT_SECRET=bGUwMGM2OWttYTR5aTY4Mg==
curl -s \
-d "client_id=grafana" \
-d "client_secret=$KEYCLOAK_CLIENT_SECRET" \
-d "username=$KEYCLOAK_USERNAME" \
-d "password=$KEYCLOAK_PASSWORD" \
-d "grant_type=password" \
"https://login.atlas.cloudstack.one/auth/realms/$KEYCLOAK_REALM/protocol/openid-connect/token" | jq -r '.access_token'


KEYCLOAK_USERNAME=admin
KEYCLOAK_PASSWORD=admin
KEYCLOAK_REALM=master
KEYCLOAK_CLIENT_SECRET=bGUwMGM2OWttYTR5aTY4Mg==
curl -s \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "client_id=grafana" \
-d "client_secret=$KEYCLOAK_CLIENT_SECRET" \
-d "username=$KEYCLOAK_USERNAME" \
-d "password=$KEYCLOAK_PASSWORD" \
-d "grant_type=authorization_code" \
-d "code=dbd783aa-4b09-4a19-8c90-fca0f6dd40e1.96c9541f-dd08-4f47-a7a0-86e93ca0531c.ace140fa-638c-4f67-92a0-9ccc5dc92e36" \
-d "redirect_uri=https%3A%2F%2Foauthdebugger.com%2Fdebug" \
"https://login.atlas.cloudstack.one/auth/realms/$KEYCLOAK_REALM/protocol/openid-connect/token"


curl -X POST -H "Content-Type: application/x-www-form-urlencoded" -s https://login.atlas.cloudstack.one/auth/realms/$KEYCLOAK_REALM/protocol/openid-connect/token?grant_type=authorization_code&code=490a80ae-74d0-4f43-af1e-93d2d9d2b5ec96c9541f-dd08-4f47-a7a0-86e93ca0531cace140fa-638c-4f67-92a0-9ccc5dc92e36&client_id=grafana&client_secret={clientSecret}&redirect_uri=https%3A%2F%2Foauthdebugger.com%2Fdebug